# NPM Publishing Test

This is a simple project, to test what happens in different scenarios when you publish to NPM. So you know in advanced what kind of behavior is allowed.

# Results

- You can only publish each version once.
- You can publish any version at any time.
- The tag (latest/etc) is what you most recently published (not the highest version).

# Tests

1. 1.0.0@latest: Initial Publish
    - +latest: 1.0.0
2. 0.1.0@latest: Downgrade
    - latest: 1.0.0 -> 0.1.0
3. 0.1.0@next: Downgrade -next
    - fails: You've already published 0.1.0
4. 1.0.1@next: Patch on -next
    - latest: 0.1.0
    - +next: 1.0.1
5. 1.1.0@latest: Minor release
    - latest: 0.1.0 -> 1.1.0
    - next: 1.0.1
6. 2.0.0@next: Major release -next
    - latest: 1.1.0
    - next: 1.0.1 -> 2.0.0
7. 1.2.0@latest: Patching/Upgrading previous release
    - latest: 1.1.0 -> 1.2.0
    - next: 2.0.0
8. 2.0.0@latest: Publish major release
    - fails: You've already published 2.0.0
